<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="BMP_HEADER.html"><font color="#008000">BMP_HEADER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Mapping BMP Image File Header structure"</font>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Mapping</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> File Header</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">file_type1</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>;     <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 00h  Must be 'B'</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">file_type2</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>;     <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 01h  Must be 'M'  </font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">file_size</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;       <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 02h  Size of file</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">reserved</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;        <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 06h</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_bitmap_offset</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;   <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 0Ah   Offset of the data section  </font></strong></em>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Bitmap Header</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">header_size</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;     <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 0Eh  Size of this header</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_width</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;            <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 12h  width (in pixel) of the image</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">map_height</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;           <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 16h  height (in pixel)</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">planes</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>;         <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 1Ah  number of planes use (always 1)</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">bits_per_pixel</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 1Ch  number of bits per pixel (1,4,8,16,24,32)</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">compression</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;     <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 1Eh  compression method:</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  0: no compression</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  1: 8-bit run length encoding</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  2: 4-bit run length encoding</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  3: bitfields encoding</font></strong></em>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">size_of_bitmap</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 22h  size of image (in octet), useful for compression</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">h_resolution</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;    <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 26h  horizontal resolution (in pixel per meter)</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">v_resolution</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;    <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 2Ah  vertical resolution (in pixel per meter)</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">colors_used</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;     <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 2Eh  number of colors </font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">colors_important</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>;<br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp 32h  number of important colors</font></strong></em>

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">width</font></strong> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">height</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">bitmap_offset</font></strong>:<a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">file_type</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_valid_bmp</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_bgr_format</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_nb_colors</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_1bit</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_4bit</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_8bit</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_24bit</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_rle8_compressed</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print</font></strong> <-
 
</body>
</html>
 